rem ASMB9 Firmware Update
rem (1)YafuKCS version 4.55.
rem (2)Image Filename version : 2.2.5
@echo off

CLS
ASMC8 -release_date
if errorlevel 1 goto failed

echo Check fw version...Please wait.

Yaflash.exe -kcs bridge.ima -info >FW_INFO.txt

::major version
type FW_INFO.txt | xgrep "7." | vstr /f "e" 2 | vstr /I | vstr /s "  " " " | vstr /s "   ""|" | vstr /f "|" 2 | vstr /f "." 1 >romver1.txt
::miner version
type FW_INFO.txt | xgrep "7." | vstr /f "e" 2 | vstr /I | vstr /s "  " " " | vstr /s "   ""|" | vstr /f "|" 2 | vstr /f "." 2 >romver2.txt


xgrep "2" romver1.txt > nul
IF ERRORLEVEL 1 goto findromver2
IF ERRORLEVEL 0 goto UpdateLTS12

:findromver2
xgrep "14" romver2.txt > nul
IF ERRORLEVEL 1 goto UpdateLTS12
IF ERRORLEVEL 0 goto Update115


:Update115
echo FW Version is 1.14.x Update 1.15 fw first 
if exist FW_INFO.txt del FW_INFO.txt
if exist romver1.txt del romver1.txt
if exist romver2.txt del romver2.txt
ASMC8.exe -kcs c0 02 00
Yaflash.exe -kcs bridge.ima -force-boot -vyes
ASMB_MAC -delay 200
goto UpdateLTS12

:UpdateLTS12
echo FW Version is 1.15.x or 2.0.x update to LTS12 fw
if exist FW_INFO.txt del FW_INFO.txt
if exist romver1.txt del romver1.txt
if exist romver2.txt del romver2.txt  
ASMC8.exe -kcs c0 02 00
Yaflash.exe -kcs E8G42206.ima -force-boot -vyes
goto end

:failed
CLS
echo Please update the last version of BIOS
goto update

:update
if exist FW_INFO.txt del FW_INFO.txt
if exist romver1.txt del romver1.txt
if exist romver2.txt del romver2.txt  
PAUSE

:end
echo Please wait for 70 seconds to initialize firmware
if exist FW_INFO.txt del FW_INFO.txt
if exist romver1.txt del romver1.txt
if exist romver2.txt del romver2.txt 
ASMB_MAC -delay 70
PAUSE




